Python: bump minimum version to 3.6
authorCampbell Barton <ideasman42@gmail.com>
Tue, 3 Oct 2017 12:50:34 +0000 (23:50 +1100)
committerCampbell Barton <ideasman42@gmail.com>
Tue, 3 Oct 2017 12:50:34 +0000 (23:50 +1100)
build_files/cmake/Modules/FindPythonLibsUnix.cmake
source/blender/python/intern/bpy_util.h

index 9d79bdd778dd85ee2b899aff9d775873bb916e7f..e9fec25f815068b13d870d25211972e9609cd629 100644 (file)
@@ -38,7 +38,7 @@ IF(NOT PYTHON_ROOT_DIR AND NOT $ENV{PYTHON_ROOT_DIR} STREQUAL "")
   SET(PYTHON_ROOT_DIR $ENV{PYTHON_ROOT_DIR})
 ENDIF()
 
-SET(PYTHON_VERSION 3.5 CACHE STRING "Python Version (major and minor only)")
+SET(PYTHON_VERSION 3.6 CACHE STRING "Python Version (major and minor only)")
 MARK_AS_ADVANCED(PYTHON_VERSION)
 
 
index 63cb7920bd10cf87aaa8f03f2a186d233b506714..6000bf94aef8d2417050027b59d45d9246fd39fb 100644 (file)
@@ -27,8 +27,8 @@
 #ifndef __BPY_UTIL_H__
 #define __BPY_UTIL_H__
 
-#if PY_VERSION_HEX <  0x03050000
-#  error "Python 3.5 or greater is required, you'll need to update your python."
+#if PY_VERSION_HEX <  0x03060000
+#  error "Python 3.6 or greater is required, you'll need to update your python."
 #endif
 
 struct EnumPropertyItem;